> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Wallets

Get available wallets that can be used for bulk payments.


## OpenAPI

````yaml GET /api/v3/dashboard/bulk-payments/api/wallets
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/dashboard/bulk-payments/api/wallets:
    get:
      tags:
        - API Bulk Payments
      summary: Get available wallets for bulk payments
      operationId: ApiBulkPaymentsController_getAvailableWallets_api/v3
      parameters: []
      responses:
        '200':
          description: Available wallets retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AvailableWalletDto'
      security:
        - bearer: []
components:
  schemas:
    AvailableWalletDto:
      type: object
      properties:
        id:
          type: string
          description: Wallet ID
        name:
          type: string
          description: Wallet name
        currency:
          type: string
          description: Wallet currency
          enum:
            - KES
            - GHS
            - NGN
            - ZAR
            - ZAR
            - USD
            - XOF
            - ZMW
            - XAF
            - SLE
            - CDF
            - TZS
            - UGX
            - EGP
            - MWK
            - RWF
            - ETB
            - MZN
            - LSL
            - GNF
            - USDT
            - BTC
            - ETH
            - USDC
        balance:
          type: number
          description: Available balance
      required:
        - id
        - name
        - currency
        - balance

````